# -*- coding: utf-8 -*-
"""
This module contains the tool of jmb.recipe.links
"""
import os
from setuptools import setup, find_packages


def read(*rnames):
    return open(os.path.join(os.path.dirname(__file__), *rnames)).read()

version = '0.2.1'

long_description = (
    read('README.txt')
    + '\n' +
    'Detailed Documentation\n'
    '**********************\n'
    + '\n' +
    read('jmb', 'recipe', 'links', 'README.txt')
    + '\n' +
    'Contributors\n'
    '************\n'
    + '\n' +
    read('CONTRIBUTORS.txt')
    + '\n' +
    'Change history\n'
    '**************\n'
    + '\n' +
    read('CHANGES.txt')
    + '\n' +
   'Download\n'
    '********\n')

entry_point = 'jmb.recipe.links:Recipe'
entry_points = {"zc.buildout": ["default = %s" % entry_point]}

tests_require = ['zope.testing', 'zc.buildout']

setup(name='jmb.recipe.links',
      version=version,
      description="Recipe to create smymlinks to python package's static file",
      long_description=long_description,
      # Get more strings from
      # http://pypi.python.org/pypi?%3Aaction=list_classifiers
      classifiers=[
        'Framework :: Buildout',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',
        ],
      keywords='',
      author='Alessandro Dentella',
      author_email='sandro@e-den.it',
      url='http://hg.thundersystems.it/jumbo/recipe/jmb.recipe.links',
      license='gpl',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['jmb', 'jmb.recipe'],
      include_package_data=True,
      zip_safe=False,
      install_requires=['setuptools',
                        'zc.buildout'
                        # -*- Extra requirements: -*-
                        ],
      package_data = { 'jmb' : ['recipe/links/README.txt']},
      tests_require=tests_require,
      extras_require=dict(tests=tests_require),
      test_suite='jmb.recipe.links.tests.test_docs.test_suite',
      entry_points=entry_points,
      )
